import { Transaction } from 'elastic-apm-node';
import { BackportError } from './lib/BackportError';
import { Commit } from './lib/sourceCommit/parseSourceCommit';
import { ConfigFileOptions } from './options/ConfigOptions';
import { Result } from './runSequentially';
export type BackportAbortResponse = {
    status: 'aborted';
    commits: Commit[];
    error: BackportError;
    errorMessage: string;
};
export type BackportSuccessResponse = {
    status: 'success';
    commits: Commit[];
    results: Result[];
};
export type BackportFailureResponse = {
    status: 'failure';
    commits: Commit[];
    error: Error | BackportError;
    errorMessage: string;
};
export type BackportResponse = BackportSuccessResponse | BackportFailureResponse | BackportAbortResponse;
export declare function backportRun({ processArgs, optionsFromModule, exitCodeOnFailure, apmTransaction, }: {
    processArgs: string[];
    optionsFromModule?: ConfigFileOptions;
    exitCodeOnFailure: boolean;
    apmTransaction: Transaction | null;
}): Promise<BackportResponse>;
