import './lib/apm';
import { BackportResponse } from './backportRun';
import { getOptionsFromGithub as _getOptionsFromGithub } from './lib/github/v4/getOptionsFromGithub/getOptionsFromGithub';
import type { Commit } from './lib/sourceCommit/parseSourceCommit';
import { ConfigFileOptions } from './options/ConfigOptions';
import { ValidConfigOptions } from './options/options';
export type { HandledErrorResult, SuccessResult, UnhandledErrorResult, } from './runSequentially';
export type { BackportAbortResponse, BackportFailureResponse, BackportResponse, BackportSuccessResponse, } from './backportRun';
export type { Commit } from './lib/sourceCommit/parseSourceCommit';
export type { ConfigFileOptions } from './options/ConfigOptions';
export { getTargetBranchFromLabel } from './lib/sourceCommit/getPullRequestStates';
export { BackportError } from './lib/BackportError';
export { getGlobalConfig } from './options/config/globalConfig';
export { getProjectConfig } from './options/config/projectConfig';
export declare function getOptionsFromGithub(options: Parameters<typeof _getOptionsFromGithub>[0]): Promise<{
    accessToken?: string | undefined;
    addOriginalReviewers?: boolean | undefined;
    assignees?: string[] | undefined;
    author?: string | null | undefined;
    autoAssign?: boolean | undefined;
    autoFixConflicts?: (({ files, directory, logger, targetBranch, }: {
        files: string[];
        directory: string;
        logger: import("winston").Logger;
        targetBranch: string;
    }) => boolean | Promise<boolean>) | undefined;
    autoMerge?: boolean | undefined;
    autoMergeMethod?: string | undefined;
    backportBinary?: string | undefined;
    cherrypickRef?: boolean | undefined;
    commitConflicts?: boolean | undefined;
    commitPaths?: string[] | undefined;
    details?: boolean | undefined;
    dir?: string | undefined;
    dryRun?: boolean | undefined;
    editor?: string | undefined;
    fork?: boolean | undefined;
    gitAuthorEmail?: string | undefined;
    gitAuthorName?: string | undefined;
    gitHostname?: string | undefined;
    githubActionRunId?: number | undefined;
    githubApiBaseUrlV3?: string | undefined;
    githubApiBaseUrlV4?: string | undefined;
    interactive?: boolean | undefined;
    logFilePath?: string | undefined;
    ls?: boolean | undefined;
    maxNumber?: number | undefined;
    multiple?: boolean | undefined;
    multipleBranches?: boolean | undefined;
    multipleCommits?: boolean | undefined;
    noVerify?: boolean | undefined;
    prDescription?: string | undefined;
    prFilter?: string | undefined;
    projectConfigFile?: string | undefined;
    prTitle?: string | undefined;
    publishStatusCommentOnAbort?: boolean | undefined;
    publishStatusCommentOnFailure?: boolean | undefined;
    publishStatusCommentOnSuccess?: boolean | undefined;
    pullNumber?: number | number[] | undefined;
    repoForkOwner?: string | undefined;
    repoName?: string | undefined;
    repoOwner?: string | undefined;
    resetAuthor?: boolean | undefined;
    reviewers?: string[] | undefined;
    sha?: string | string[] | undefined;
    signoff?: boolean | undefined;
    skipRemoteConfig?: boolean | undefined;
    sourceBranch: string;
    sourcePRLabels?: string[] | undefined;
    targetBranchChoices?: import("./options/ConfigOptions").TargetBranchChoiceOrString[] | undefined;
    targetBranches?: string[] | undefined;
    targetPRLabels?: string[] | undefined;
    help?: boolean | undefined;
    version?: boolean | undefined;
    v?: boolean | undefined;
    branchLabelMapping?: Record<string, string> | undefined;
    upstream?: string | undefined;
    branches?: import("./options/ConfigOptions").TargetBranchChoiceOrString[] | undefined;
    labels?: string[] | undefined;
    authenticatedUsername: string;
    isRepoPrivate: boolean;
}>;
export declare function backportRun({ options, processArgs, exitCodeOnFailure, }: {
    options?: ConfigFileOptions;
    processArgs?: string[];
    exitCodeOnFailure?: boolean;
}): Promise<BackportResponse>;
export declare function getCommits(options: {
    accessToken: string;
    repoName: string;
    repoOwner: string;
    author?: string;
    branchLabelMapping?: ValidConfigOptions['branchLabelMapping'];
    dateSince?: string;
    dateUntil?: string;
    githubApiBaseUrlV4?: string;
    maxNumber?: number;
    onlyMissing?: boolean;
    prFilter?: string;
    pullNumber?: number | number[];
    sha?: string | string[];
    skipRemoteConfig?: boolean;
    sourceBranch?: string;
}): Promise<Commit[]>;
