"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("./lib/apm");
const elastic_apm_node_1 = __importDefault(require("elastic-apm-node"));
const backportRun_1 = require("./backportRun");
const cliArgs_1 = require("./options/cliArgs");
const processArgs = process.argv.slice(2);
const apmTransaction = elastic_apm_node_1.default.startTransaction('CLI: backportRun');
// this is the entrypoint when running from command line
(0, backportRun_1.backportRun)({ processArgs, exitCodeOnFailure: true, apmTransaction }).then((backportResponse) => {
    const { interactive, ls } = (0, cliArgs_1.getRuntimeArguments)(processArgs);
    if (!interactive || ls) {
        // eslint-disable-next-line no-console
        console.log(JSON.stringify(backportResponse));
    }
    elastic_apm_node_1.default.endTransaction(backportResponse.status);
});
//# sourceMappingURL=entrypoint.cli.js.map