import { ValidConfigOptions } from '../../../options/options';
import { Commit } from '../../sourceCommit/parseSourceCommit';
export interface PullRequestPayload {
    owner: string;
    repo: string;
    title: string;
    body: string;
    head: string;
    base: string;
    [key: string]: unknown;
}
export declare function createPullRequest({ options, prPayload, }: {
    options: ValidConfigOptions;
    prPayload: PullRequestPayload;
}): Promise<{
    url: string;
    number: number;
    didUpdate: boolean;
}>;
export declare function getPullRequestBody({ options, commits, targetBranch, }: {
    options: ValidConfigOptions;
    commits: Commit[];
    targetBranch: string;
}): string;
export declare function getTitle({ options, commits, targetBranch, }: {
    options: ValidConfigOptions;
    commits: Commit[];
    targetBranch: string;
}): string;
