"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGithubV3ErrorMessage = void 0;
function getGithubV3ErrorMessage(e) {
    if (!e.errors) {
        return e.message;
    }
    const errorMessages = e.errors.map((error) => {
        if (error.message) {
            return error.message;
        }
        return JSON.stringify(error);
    });
    return `${errorMessages.join(', ')} (Github v3)`;
}
exports.getGithubV3ErrorMessage = getGithubV3ErrorMessage;
//# sourceMappingURL=getGithubV3ErrorMessage.js.map