"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getDevAccessToken_1 = require("../../../test/private/getDevAccessToken");
const getReviewersFromPullRequests_1 = require("./getReviewersFromPullRequests");
const accessToken = (0, getDevAccessToken_1.getDevAccessToken)();
describe('getReviewersFromPullRequests', () => {
    it('returns reviewers', async () => {
        const reviewers = await (0, getReviewersFromPullRequests_1.getReviewersFromPullRequests)({
            options: {
                repoOwner: 'backport-org',
                repoName: 'commit-author',
                accessToken,
                authenticatedUsername: 'foobar',
                interactive: true,
            },
            pullNumbers: [2],
        });
        expect(reviewers).toEqual(['sqren', 'backport-demo-user']);
    });
    it('excludes current user', async () => {
        const reviewers = await (0, getReviewersFromPullRequests_1.getReviewersFromPullRequests)({
            options: {
                repoOwner: 'backport-org',
                repoName: 'commit-author',
                accessToken,
                authenticatedUsername: 'sqren',
                interactive: false,
            },
            pullNumbers: [2],
        });
        expect(reviewers).toEqual(['backport-demo-user']);
    });
});
//# sourceMappingURL=getReviewersFromPullRequests.ts.private.test.js.map