"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergePullRequest = void 0;
const rest_1 = require("@octokit/rest");
const logger_1 = require("../../logger");
function mergePullRequest(options, pullNumber) {
    const { accessToken, githubApiBaseUrlV3 } = options;
    const octokit = new rest_1.Octokit({
        auth: accessToken,
        baseUrl: githubApiBaseUrlV3,
        log: logger_1.logger,
    });
    return octokit.request('PUT /repos/{owner}/{repo}/pulls/{pull_number}/merge', {
        owner: options.repoOwner,
        repo: options.repoName,
        pull_number: pullNumber,
    });
}
exports.mergePullRequest = mergePullRequest;
//# sourceMappingURL=mergePullRequest.js.map