"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.disablePullRequestAutoMerge = void 0;
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const FetchPullRequestId_1 = require("./FetchPullRequestId");
const apiRequestV4_1 = require("./apiRequestV4");
async function disablePullRequestAutoMerge(options, pullNumber) {
    const { accessToken, githubApiBaseUrlV4 } = options;
    const pullRequestId = await (0, FetchPullRequestId_1.fetchPullRequestId)(options, pullNumber);
    const query = (0, graphql_tag_1.default) `
    mutation DisablePullRequestAutoMerge($pullRequestId: ID!) {
      disablePullRequestAutoMerge(input: { pullRequestId: $pullRequestId }) {
        pullRequest {
          number
        }
      }
    }
  `;
    const res = await (0, apiRequestV4_1.apiRequestV4)({
        githubApiBaseUrlV4,
        accessToken,
        query,
        variables: {
            pullRequestId,
        },
    });
    return res.disablePullRequestAutoMerge.pullRequest?.number;
}
exports.disablePullRequestAutoMerge = disablePullRequestAutoMerge;
//# sourceMappingURL=disablePullRequestAutoMerge.js.map