"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchAuthorId = void 0;
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const apiRequestV4_1 = require("./apiRequestV4");
async function fetchAuthorId({ accessToken, author, githubApiBaseUrlV4 = 'https://api.github.com/graphql', }) {
    if (author === null) {
        return null;
    }
    const query = (0, graphql_tag_1.default) `
    query AuthorId($author: String!) {
      user(login: $author) {
        id
      }
    }
  `;
    const res = await (0, apiRequestV4_1.apiRequestV4)({
        githubApiBaseUrlV4,
        accessToken,
        query,
        variables: { author },
    });
    return res.user.id;
}
exports.fetchAuthorId = fetchAuthorId;
//# sourceMappingURL=fetchAuthorId.js.map