"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOptionsFromConfigFiles = void 0;
const globalConfig_1 = require("./globalConfig");
const projectConfig_1 = require("./projectConfig");
async function getOptionsFromConfigFiles({ optionsFromCliArgs, optionsFromModule, }) {
    const projectConfigFile = optionsFromCliArgs.projectConfigFile ?? optionsFromModule.projectConfigFile;
    const globalConfigFile = optionsFromCliArgs.globalConfigFile;
    const [projectConfig, globalConfig] = await Promise.all([
        (0, projectConfig_1.getProjectConfig)(projectConfigFile),
        (0, globalConfig_1.getGlobalConfig)(globalConfigFile),
    ]);
    return {
        ...globalConfig,
        ...projectConfig,
        ...optionsFromModule,
    };
}
exports.getOptionsFromConfigFiles = getOptionsFromConfigFiles;
//# sourceMappingURL=config.js.map