"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postinstall = void 0;
const env_1 = require("../lib/env");
const logger_1 = require("../lib/logger");
const globalConfig_1 = require("../options/config/globalConfig");
async function postinstall() {
    try {
        const globalConfigPath = (0, env_1.getGlobalConfigPath)(undefined);
        const didCreate = await (0, globalConfig_1.createGlobalConfigAndFolderIfNotExist)(globalConfigPath);
        if (didCreate) {
            (0, logger_1.consoleLog)(`Global config successfully created in ${globalConfigPath}`);
        }
    }
    catch (e) {
        // @ts-expect-error
        (0, logger_1.consoleLog)(`Global config could not be created:\n${e.stack}`);
    }
}
exports.postinstall = postinstall;
//# sourceMappingURL=postinstall.js.map